/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.report.engine.toc;

import org.eclipse.birt.report.engine.api.IReportDocument;
import org.eclipse.birt.report.engine.api.ITOCTree;


public class DocumentTOCTree extends TOCTree
{

	IReportDocument document;
	
	public DocumentTOCTree(IReportDocument document)
	{
		this.document = document;
	}
	
	protected void initializeRoot()
	{
		if ( root == null )
		{
			if ( document != null )
			{
				ITOCTree toc = document.getTOCTree( null, null );
				if ( toc instanceof TOCTree )
				{
					TOCTree tocTree = (TOCTree) toc;
					root = tocTree.getTOCRoot( );
				}
			}
		}
	}
	
	
}
